*, *::before, *::after
{ box-sizing: border-box;}

:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: 'montserrat', sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}
body {
    margin: 0;
}
.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}
footer {
    background-color: oklch(0.3211 0 0);
}
nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
nav a {
    display: inline-block;
    padding: 1rem 2rem;
    color: inherit;
    text-decoration: none;
    margin-left: -2rem;
}
nav li:nth-child(2) {
    background-color: oklch(0.9913 0.0441 107.18);
    color: oklch(0.9081 0.0462 285.44);
}
p:last-child {
    margin: 0;
}
h2 + p {
    font-style: italic;
}
a[href*="mozilla"]{
    background-color: oklch(0.7927 0.171 70.67 / 100);
}
.highlight {
    font-style: italic;
    font-weight: bold;
}
.container--narrow {
    max-width: 40rem;
}
.m-1 {
    margin: 1rem;
}
.m-2 {
    margin: 2rem;
}
.p-1 {
    padding: 1rem;
}
.p-2 {
    padding: 2rem;
}
main {
    padding-top: 2vh;
    padding-bottom: 4vw;
}
footer .highlight {
    color: oklch(0.5987 0.2511 204.35);
    font-weight: normal;
    font-style: normal;
}
nav a:hover {
    background-color: oklch(0.5987 0.0982 309.18);
}
 nav a:focus {
    outline: dotted 4px;
}